def mat(self):

    A = [ [0] * len(self.sommets) for i in range( len(self.sommets) )] 

    S = sorted( list( self.sommets.keys() ) )

    for nom in S:

        for i in self.sommets[nom]:

            A[ S.index(nom) ][ S.index(i) ] = 1

    return A

